io.vertx.rxjava.ext.unit.report

## Class TestSuiteReport

- java.lang.Object
- - io.vertx.rxjava.ext.unit.report.TestSuiteReport

- All Implemented Interfaces:
    ReadStream<TestCaseReport>, StreamBase

      public class TestSuiteReport
      extends Object
      implements ReadStream<TestCaseReport>

  The test suite reports is basically a stream of events reporting the test suite execution.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestSuiteReport(TestSuiteReport delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TestSuiteReport` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `TestSuiteReport` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler, the exception handler reports the test suite errors, it can be called mulitple times before the test ends.
    `Object` | `getDelegate()`
    `TestSuiteReport` | `handler(Handler<TestCaseReport> handler)` Set a data handler.
    `String` | `name()`
    `static TestSuiteReport` | `newInstance(TestSuiteReport arg)`
    `TestSuiteReport` | `pause()` Pause the `ReadSupport`.
    `TestSuiteReport` | `resume()` Resume reading.
    `Observable<TestCaseReport>` | `toObservable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.ReadStream

      `newInstance`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.StreamBase

      `newInstance`

- - ### Constructor Detail

    - #### TestSuiteReport

          public TestSuiteReport(TestSuiteReport delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<TestCaseReport>`
      Specified by:
        `getDelegate` in interface `StreamBase`

    - #### toObservable

          public Observable<TestCaseReport> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<TestCaseReport>`

    - #### name

          public String name()

      Returns:
        the test suite name

    - #### exceptionHandler

          public TestSuiteReport exceptionHandler(Handler<Throwable> handler)

      Set an exception handler, the exception handler reports the test suite errors, it can be called mulitple times before the test ends.
      Specified by:
        `exceptionHandler` in interface `ReadStream<TestCaseReport>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          public TestSuiteReport handler(Handler<TestCaseReport> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<TestCaseReport>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          public TestSuiteReport pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadSupport`. While it's paused, no data will be sent to the `dataHandler`
      Specified by:
        `pause` in interface `ReadStream<TestCaseReport>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          public TestSuiteReport resume()

      Description copied from interface: `ReadStream`
      Resume reading. If the `ReadSupport` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<TestCaseReport>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          public TestSuiteReport endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<TestCaseReport>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static TestSuiteReport newInstance(TestSuiteReport arg)

Copyright © 2016. All rights reserved.